/*
 * flist-completion.h: e-completion implementation for the flist
 *
 * Authors:
 *    Jacob Berkman  <jacob@ximian.com>
 *
 * Copyright 2001 Ximian, Inc.
 */

#ifndef _FLIST_COMPLETION_H_
#define _FLIST_COMPLETION_H_

#include "flist-dir.h"
#include <gtk/gtkwidget.h>

typedef struct _FListCompletionPrivate FListCompletionPrivate;

typedef struct {
	FListCompletionPrivate *priv;
	GtkWidget              *entry;
} FListCompletion;

FListCompletion *flist_completion_new        (void);
#if 0
GtkWidget       *flist_completion_get_widget (FListCompletion *flc);
#endif
void             flist_completion_free       (FListCompletion *flc);
void             flist_completion_clear      (FListCompletion *flc);
void             flist_completion_files_read (FListCompletion *flc,
					      const FListDir *dir,
					      int oldsize, 
					      int newfiles);

#endif /* _FLIST_COMPLETION_H_ */
