/*
 * flist-entry.h: an autocompleting entry control
 *
 * Authors:
 *    Jacob Berkman  <jacob@ximian.com>
 *
 * Copyright 2001 Ximian, Inc.
 */

#ifndef _FLIST_ENTRY_H_
#define _FLIST_ENTRY_H_

#include "flist.h"
#include "flist-completion.h"

#include <bonobo/bonobo-object.h>

typedef struct _FListEntryPrivate FListEntryPrivate;

typedef struct {
	FListEntryPrivate *priv;

	FListCompletion   *completion;
	BonoboObject      *control;
} FListEntry;
	
FListEntry *flist_entry_new  (FList      *flist);
void        flist_entry_free (FListEntry *fentry);

#endif /* _FLIST_ENTRY_H_ */
